按 id 获取 Google Autocomplete 高级结果
curl --request GET \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_get/advanced/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_get/advanced/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_get/advanced/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"keyword": "<string>",
"type": "<string>",
"se_domain": "<string>",
"location_code": 123,
"language_code": "<string>",
"check_url": "<string>",
"datetime": "<string>",
"spell": {
"keyword": "<string>",
"type": "<string>"
},
"refinement_chips": {
"type": "<string>",
"xpath": "<string>",
"items": [
{
"type": "<string>",
"title": "<string>",
"url": "<string>",
"domain": "<string>",
"options": [
{
"type": "<string>",
"title": "<string>",
"url": "<string>",
"domain": "<string>"
}
]
}
]
},
"item_types": [
"<string>"
],
"se_results_count": 123,
"items_count": 123,
"items": [
{
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123,
"relevance": 123,
"suggestion": "<string>",
"suggestion_type": "<string>",
"search_query_url": "<string>",
"thumbnail_url": "<string>",
"highlighted": [
"<string>"
]
}
]
}
]
}
]
}自动补全
按 id 获取 Google Autocomplete 高级结果
按 id 获取 Google Autocomplete Advanced 结果。
GET
https://api.aisa.one
/
apis
/
v1
/
dataforseo
/
serp
/
google
/
autocomplete
/
task_get
/
advanced
/
{id}
按 id 获取 Google Autocomplete 高级结果
按 id 获取 Google Autocomplete Advanced 结果。你可以在保留期内通过任务 id 检索已完成的任务结果。
示例
curl -X GET "https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/task_get/advanced/{id}" \
-H "Authorization: Bearer YOUR_API_KEY"
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
响应
object | null
Successful operation
API 的当前版本
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
array of tasks
Show child attributes
Show child attributes